package name.panitz.cf;
public class ConnectFour {
  private long cRef;
  static {
    System.loadLibrary("cf");
  }
  public ConnectFour(){
    cRef = newGame();
  }

  protected void finalize() throws Throwable {
    try {
      deleteGame(cRef);
    } finally {
      super.finalize();
    }
  }

  boolean mkMove( int column){return mkMove(cRef,column);}
  int mkAIMove(){return mkAIMove(cRef);}
  boolean isFinished(){return isFinished(cRef);}
  boolean hasWinner(){return hasWinner(cRef);}
  byte get(int c,int r){return get(cRef,c,r);}

  native private long newGame();
  native private void deleteGame(long game);
  native private boolean mkMove(long game, int column);
  native private int mkAIMove(long game);
  native private boolean isFinished(long game);
  native private boolean hasWinner(long game);
  native private byte get(long game,int c,int r);
  native private void printToFile(long game,String fileName);
}